<form class="ui large form segment">
  <h3 class="ui header">Tier hinzufügen:</h3>

  <div class="field">
    <label for="name">Name: </label>
    <input id="name" name="name" #newName/>
  </div>
  <div class="field">
    <label for="imageUrl">Bild: </label>
    <input id="imageUrl" name="imageUrl" #newImageUrl/>
  </div>
  <div class="field">
    <label for="species">Spezies: </label>
    <select id="species" name="species" #newSpecies>
      <option value="Säugetiere / Fleischfresser">Säugetiere / Fleischfresser</option>
      <option value="Säugetiere / Pflanzenfresser">Säugetiere / Pflanzenfresser</option>
      <option value="Vögel">Vögel</option>
      <option value="Reptilien">Reptilien</option>
      <option value="Fische">Fische</option>
      <option value="Insekten">Insekten</option>
    </select>
  </div>
  <div class="field">
    <label for="count">Anzahl: </label>
    <input id="count" name="count" type="number" #newCount/>
  </div>

  <button (click)="addAnimal(newName, newImageUrl, newSpecies, newCount)" class="ui positive right floated button">
    Speichern
  </button>
</form>

<div class="ui items">
  <app-animal *ngFor="let thisAnimal of sortedAnimals()"
              [animal]="thisAnimal"
              (click)='clicked(thisAnimal)'
              [class.selected]="isSelected(thisAnimal)"></app-animal>
</div>

<form class="ui large form segment grid" *ngIf="currentAnimal">
  <div class="ui six wide column">
    <h3 class="ui header">Tier löschen:</h3>
  </div>
  <div class="eight wide column">
    <div class="ui header">{{ currentAnimal.name }}</div>
  </div>
  <div class="ui two wide column">
    <button (click)="deleteCurrentAnimal()" class="ui negative right floated button">
      Löschen
    </button>
  </div>
</form>

